Subject: Re: [admin-discuss] Attempt to diagram the structure of the IETF

From: "Deen, Glenn (NBCUniversal)" <[email-masked]>
Date: Mon, 21 Feb 2022 21:58:07 +0000

Thanks Jay.   

I know you understood my post, but for the purposes of the archive, I'll fix my typo to be what I meant to say....:

.  "Nomcom liaisons ARE NOT just observers but are non-voting members of the noncom so while they don’t vote on candidates they do get a say in how the nomcom operates."

-glenn

On 2/21/22, 1:51 PM, "Jay Daley" <[email-masked]> wrote:

    > On 22/02/2022, at 10:21 AM, Deen, Glenn (NBCUniversal) <[email-masked]> wrote:
    > 
    > Might be good to show that the various groups (IAB,IESG, Trust, LLC) provide Liaisons to the noncom.  Nomcom liaisons just observers but are non-voting members of the noncom so while they don’t vote on candidates they do get a say in how the nomcom operates.    They greatly help the nomcom process by trying bringing expertise to the voting members about the needs of the group and the roll they’ve been sent from.

    Yes, good point.  That will necessitate opening up the NomCom box to split out the internal roles (as per the IESG/IAB), which may in turn mean moving that box.  I’ll pick that up tomorrow.

    Jay

    >  
    > -glenn
    >  
    > On 2/21/22, 1:08 PM, "admin-discuss on behalf of Jay Daley" <[email-masked] on behalf of [email-masked]> wrote:
    >  
    > New version now posted, which addresses all of this (except the position of NomCom) and adds IANA.  Also includes some lines tweaks to improve readability.
    >  
    > Jay
    >  
    > 
    > 
    >> On 22/02/2022, at 9:17 AM, Jay Daley <[email-masked]> wrote:
    >>  
    >> Signed PGP part
    >> 
    >> 
    >> 
    >>> On 22/02/2022, at 5:11 AM, Bob Hinden <[email-masked]> wrote:
    >>> 
    >>> Jay,
    >>> 
    >>> Quite an undertaking!   No good deed shall go unpunished :-)
    >>> 
    >>> A few comments:
    >>> 
    >>> Looking at this, it would appear that ISOC is part of the IETF.   The ISOC community might be surprised to learn this.
    >> 
    >> The title includes "and inter-related organisations" partly to cover ISOC and partly because some people insist that "IETF" cannot be used as an umbrella term to include the IAB/IRTF while others insist that it has been used as such for many years.
    >> 
    >> 
    >>> 
    >>> Having the NOMCOM on top, might cause some to conclude it’s the main leadership body for all below it.
    >> 
    >> I put it at the top because of the appointment authority but I agree that this needs some form of adjustment, as Brian suggested, to explain how it is constructed.  If we were instead to have the IESG/IAB etc as the top layer then the arrows would likely become unmanageable.
    >> 
    >>> 
    >>> I think it would be good to distinguish between appointing volunteers, vs. hiring employees/contractors.   For example, the ISOC board hires (selects, contracts, pays) a CEO, vs. the IAB appointing the IRTF chair.
    >> 
    >> That is captured by the box style - thick lines for community appointed bodies and double lines for contracted roles.
    >> 
    >> 
    >>> 
    >>> “owns” is used in different ways.   ISOC “owns” the IETF LLC is quite different from the IESG “owns” Working Groups.  I am not sure that “owns” is quite right for relationship between the IESG and Working Groups.  “Charters” might be better.
    >> 
    >> Agree and 'charters' is a better word.
    >> 
    >> 
    >>> 
    >>> Lastly, the use of black and white to distinguish different kinds of roles in the KEY is very subtle.  You might consider also using colors or shading.
    >> 
    >> I was trying to avoid colour because of the problems with that - I will look at shading.
    >> 
    >> Jay
    >> 
    >> 
    >>> 
    >>> Bob
    >>> 
    >>> 
    >>> 
    >>>> On Feb 20, 2022, at 3:24 PM, Jay Daley <[email-masked]> wrote:
    >>>> 
    >>>> I’ve had a go at diagramming the structure of the IETF and inter-related organisations to assist new staff and contractors:
    >>>> 
    >>>> https://urldefense.com/v3/__https://www.ietf.org/media/documents/IETF_Structure_-_February_2022.png__;!!PIZeeW5wscynRQ!_EPa1ige7alUwzwTcDFH5zdN_FCB1PzMXBJcwNguv4uJixbdFPG0CEIiuBAt-HPZ$ 
    >>>> 
    >>>> While the RSWG/RSAB are not officially approved, they are included.
    >>>> 
    >>>> Any feedback most welcome.
    >>>> 
    >>>> cheers
    >>>> Jay
    >>>> 
    >>>> --
    >>>> Jay Daley
    >>>> IETF Executive Director
    >>>> [email-masked]
    >>>> 
    >>>> --
    >>>> admin-discuss mailing list
    >>>> [email-masked]
    >>>> https://urldefense.com/v3/__https://www.ietf.org/mailman/listinfo/admin-discuss__;!!PIZeeW5wscynRQ!_EPa1ige7alUwzwTcDFH5zdN_FCB1PzMXBJcwNguv4uJixbdFPG0CEIiuGjKR2GD$ 
    >>>  
    >> 
    >> --
    >> Jay Daley
    >> IETF Executive Director
    >> [email-masked]
    >> 
    >> 
    >> 
    >>  
    >  
    > -- 
    > Jay Daley
    > IETF Executive Director
    > [email-masked]

    -- 
    Jay Daley
    IETF Executive Director
    [email-masked]